/* Nom: Hidalgo
Prenom: Carlos
Classe: P1A
Date: 22/11/22
Projet: Site sans classe ou id */
@import url("https://fonts.googleapis.com/css2?family=Zilla+Slab:wght@300&display=swap");
/* Universel */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Cairo', sans-serif;}
  /* Body */
body {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  overflow: hidden;
  background: #dcd9cd;
}
/* Position des ul */
ul {
  position: relative;
}
/* Position des li */
ul li {
  list-style: none;
  text-align: center;
}
ul li a {
  color: #333;
  text-decoration: none;
  font-size: 3em;
  padding: 5px 20px;
  display: inline-flex;
  font-weight: 700;
  transition: 0.5s;
}
/* Coleur text qu'on hover */
ul:hover li a {
  color: #0002;
}
/* Coleur text qu'on hover */
ul li:hover a {
  color: #000;
  background: transparent;
}
/* Position de tout */
ul li a:before {
  content: "";
  position: absolute;
  top: 50%;
  left: 40%;
  transform: translate(-50%, -50%);
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 3em;
  color: rgba(0, 0, 0, 0.1);
  z-index: -1;
  opacity: 0;
  font-weight: 900;
  text-transform: uppercase;
  letter-spacing: 500px;
  transition: letter-spacing 0.5s, left 0.5s;
}
/* Ajout de text derriere et la taille du couleur au fond */
ul li a:hover:before {
  content: attr(data-text);
  opacity: 1;
  left: 50%;
  letter-spacing: 10px;
  width: 3800px;
  height: 1800px;
}
/* Systeme solaire */
ul li:nth-child(6n + 1) a:before {
  background:  #121014;
}
/* Soleil */
ul li:nth-child(6n + 2) a:before {
    background:  #fcd14d;
  }
/* Mercure */
ul li:nth-child(6n + 3) a:before {
  background: #e5e5e5 ;
}
/* Venus */
ul li:nth-child(6n + 4) a:before {
  background: #D3A567;
}
/* Terre */
ul li:nth-child(6n + 5) a:before {
  background: #6fa8f2;
}
/* Mars */
ul li:nth-child(6n + 6) a:before {
  background: #C67B5C;
}
/* Jupiter */
ul li:nth-child(6n + 7) a:before {
  background: #ffeaa7;
}
/* Saturn */
ul li:nth-child(6n + 8) a:before {
  background: #D5B079;
}
/* Uranus */
ul li:nth-child(6n + 9) a:before {
  background: #AFDBF5;
}
/* Neptune */
ul li:nth-child(6n + 10) a:before {
  background: #4B70DD;
}
